using System;
using System.Globalization;
using System.Resources;
using System.Threading;
using System.Web.UI;
public partial class Master_TA_UI_MasterTransportationMappingMain : Base.BasePage
{
    ResourceManager rm;
    cls_Common objCommon = new cls_Common();
    protected override void Page_Load(object sender, EventArgs e)
    {
        // session checking
        base.Page_Load(sender, e);
        //get the culture info to set the language
        if (!Page.IsPostBack)
        {
            base.CheckPages(0);
            objCommon.menu("OrgSettings", "Transportation ");
        }
        CultureInfo ci;
        string source_Language;
        source_Language = Convert.ToString(Session["Session_ActiveLanguage"]);
        rm = new ResourceManager(source_Language, System.Reflection.Assembly.Load("App_GlobalResources"));
        ci = Thread.CurrentThread.CurrentCulture;
        site.SiteMapProvider = Convert.ToString(Session["SiteMapProvider"]);
        // LoadStrings Function fills the Label from the Resource File
        LoadStrings(ci);
    }
    private void LoadStrings(CultureInfo ci)
    {
        lbl_HeaderTransportation.Text = rm.GetString("Masters_Transportation_Transportatipn", ci);
        lbl_VehicleMaster.Text = rm.GetString("Masters_Transportation_Vehicle_Master", ci);
        lbl_RouteMaster.Text = rm.GetString("Masters_Transportation_Route_Master", ci);
    }
}
